Package org.bukkit.block.data.type

# Interface TrapDoor

All Superinterfaces:
  `Bisected`, `BlockData`, `Cloneable`, `Directional`, `Openable`, `Powerable`, `Waterlogged`

public interface TrapDoor extends Bisected, Directional, Openable, Powerable, Waterlogged

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.block.data.Bisected

`Bisected.Half`

## Method Summary

### Methods inherited from interface org.bukkit.block.data.Bisected

`getHalf, setHalf`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Openable

`isOpen, setOpen`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`